PropertyExecutor (Velocity 1.4 API)
Keywords: org.apache.velocity.runtime.parser.node.PropertyExecutor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class PropertyExecutor

    java.lang.Object
      org.apache.velocity.runtime.parser.node.AbstractExecutor
          org.apache.velocity.runtime.parser.node.PropertyExecutor

Direct Known Subclasses:
  BooleanPropertyExecutor

public class PropertyExecutor
extends AbstractExecutor

Returned the value of object property when executed.

Field Summary
`protected Introspector` | `introspector`
`protected java.lang.String` | `methodUsed`

Fields inherited from class org.apache.velocity.runtime.parser.node.AbstractExecutor
`method, rlog`

Constructor Summary
`PropertyExecutor(RuntimeLogger r, Introspector ispctr, java.lang.Class clazz, java.lang.String property)`

Method Summary
`protected void` | `discover(java.lang.Class clazz, java.lang.String property)`
`java.lang.Object` | `execute(java.lang.Object o)` Execute method against context.

Methods inherited from class org.apache.velocity.runtime.parser.node.AbstractExecutor
`getMethod, isAlive`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### introspector

    protected Introspector introspector

### methodUsed

    protected java.lang.String methodUsed

Constructor Detail

### PropertyExecutor

    public PropertyExecutor(RuntimeLogger r,
                            Introspector ispctr,
                            java.lang.Class clazz,
                            java.lang.String property)

Method Detail

### discover

    protected void discover(java.lang.Class clazz,
                            java.lang.String property)

### execute

    public java.lang.Object execute(java.lang.Object o)
                             throws java.lang.IllegalAccessException,
                                    java.lang.reflect.InvocationTargetException

  Execute method against context.

  Specified by:
    `execute` in class `AbstractExecutor`
  Throws:
    `java.lang.IllegalAccessException`
    `java.lang.reflect.InvocationTargetException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.